package modelo;


// <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
// #[regen=yes,id=DCE.DA892910-74F3-5721-0720-7AC66DFFEEA0]
// </editor-fold> 
public class ExcepcionCU {
    private String accion;
    private String condicion;
    private String terminacion;
    private boolean accion_sistema;
    private boolean accion_actor;
    static int n_instancia=0;
    private int numero_id;
    
    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.F697EEB9-1BCD-7591-82E3-A354288865DE]
    // </editor-fold> 
    public ExcepcionCU () {
        n_instancia++;
        numero_id=n_instancia;
    }

    /**
     * @return the accion
     */
    public String getAccion() {
        return accion;
    }

    /**
     * @param accion the accion to set
     */
    public void setAccion(String accion) {
        this.accion = accion;
    }

    /**
     * @return the condicion
     */
    public String getCondicion() {
        return condicion;
    }

    /**
     * @param condicion the condicion to set
     */
    public void setCondicion(String condicion) {
        this.condicion = condicion;
    }

    /**
     * @return the continua
     */
//    public boolean isContinua() {
//        return continua;
//    }
//
//    /**
//     * @param continua the continua to set
//     */
//    public void setContinua(boolean continua) {
//        this.continua = continua;
//    }

    /**
     * @return the accion_sistema
     */
    public boolean isAccion_sistema() {
        return accion_sistema;
    }

    /**
     * @param accion_sistema the accion_sistema to set
     */
    public void setAccion_sistema(boolean accion_sistema) {
        this.accion_sistema = accion_sistema;
    }

    /**
     * @return the accion_actor
     */
    public boolean isAccion_actor() {
        return accion_actor;
    }

    /**
     * @param accion_actor the accion_actor to set
     */
    public void setAccion_actor(boolean accion_actor) {
        this.accion_actor = accion_actor;
    }

    /**
     * @return the numero_id
     */
    public int getNumero_id() {
        return numero_id;
    }

    /**
     * @return the terminacion
     */
    public String getTerminacion() {
        return terminacion;
    }

    /**
     * @param terminacion the terminacion to set
     */
    public void setTerminacion(String terminacion) {
        this.terminacion = terminacion;
    }

    

}

